Overview | Package | Class | Use | Tree | Index | Help
| NASA World Wind
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## gov.nasa.worldwind
Class TileKey

    java.lang.Object
      gov.nasa.worldwind.TileKey

All Implemented Interfaces:
  Comparable<TileKey>

    public class TileKey

extends Object
implements Comparable<TileKey>

Constructor Summary
`TileKey(Angle latitude, Angle longitude, Level level)`
`TileKey(int level, int row, int col, String cacheName)`
`TileKey(Tile tile)`

Method Summary
`int` | `compareTo(TileKey key)`
`boolean` | `equals(Object o)`
`String` | `getCacheName()`
`int` | `getColumn()`
`int` | `getLevelNumber()`
`int` | `getRow()`
`int` | `hashCode()`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TileKey

    public TileKey(Angle latitude,
                   Angle longitude,
                   Level level)

Parameters:
  `latitude` -
  `longitude` -
  `level` -
Throws:
  `IllegalArgumentException` - if any parameter is null

### TileKey

    public TileKey(int level,
                   int row,
                   int col,
                   String cacheName)

Parameters:
  `level` -
  `row` -
  `col` -
  `cacheName` -
Throws:
  `IllegalArgumentException` - if `level`, `row` or `column` is negative or if `cacheName` is null or empty

### TileKey

    public TileKey(Tile tile)

Parameters:
  `tile` -
Throws:
  `IllegalArgumentException` - if `tile` is null

Method Detail

### compareTo

    public final int compareTo(TileKey key)

  Specified by:
    `compareTo` in interface `Comparable<TileKey>`
  Parameters:
    `key` -
  Returns:
  Throws:
    `IllegalArgumentException` - if `key` is null

### equals

    public boolean equals(Object o)

  Overrides:
    `equals` in class `Object`

### getCacheName

    public String getCacheName()

### getColumn

    public int getColumn()

### getLevelNumber

    public int getLevelNumber()

### getRow

    public int getRow()

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Index | Help
| NASA World Wind
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD